commit:     ac0402cb5ea238140f75331c514e25a2b6e49007
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Thu Nov 21 21:48:04 2019 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Thu Nov 21 23:55:09 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac0402cb

dev-python/jaraco-packaging: Revbump to 6.2-r1, add py38

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.79, Repoman-2.3.18
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 .../jaraco-packaging-6.2-r1.ebuild                 | 78 ++++++++++++++++++++++
 1 file changed, 78 insertions(+)

diff --git a/dev-python/jaraco-packaging/jaraco-packaging-6.2-r1.ebuild 
b/dev-python/jaraco-packaging/jaraco-packaging-6.2-r1.ebuild
new file mode 100644
index 00000000000..aa458c4bbe6
--- /dev/null
+++ b/dev-python/jaraco-packaging/jaraco-packaging-6.2-r1.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy{,3} python{2_7,3_{5,6,7,8}} )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+DESCRIPTION="Tools to supplement packaging Python releases"
+HOMEPAGE="https://github.com/jaraco/jaraco.packaging";
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86"
+IUSE="doc test"
+
+RDEPEND="
+       dev-python/importlib_metadata[${PYTHON_USEDEP}]
+       >=dev-python/namespace-jaraco-2[${PYTHON_USEDEP}]
+       >=dev-python/six-1.4[${PYTHON_USEDEP}]
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? (
+               $(python_gen_any_dep '
+                       >=dev-python/rst-linker-1.9[${PYTHON_USEDEP}]
+                       dev-python/sphinx[${PYTHON_USEDEP}]
+               ')
+       )
+       test? (
+               ${RDEPEND}
+               >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+       )
+"
+
+RESTRICT="!test? ( test )"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_check_deps() {
+       use doc || return 0
+
+       has_version ">=dev-python/rst-linker-1.9[${PYTHON_USEDEP}]" && \
+               has_version "dev-python/sphinx[${PYTHON_USEDEP}]"
+}
+
+python_prepare_all() {
+       # avoid a setuptools_scm dependency
+       sed -i "s:use_scm_version=True:version='${PV}':" setup.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       if use doc; then
+               cd docs || die
+               sphinx-build . _build/html || die
+               HTML_DOCS=( docs/_build/html/. )
+       fi
+}
+
+python_test() {
+       # Skip one test which requires network access
+       # Override pytest options to skip flake8
+       PYTHONPATH=. pytest -vv -k "not test_revived_distribution" \
+               --override-ini="addopts=--doctest-modules" \
+               || die "tests failed with ${EPYTHON}"
+}
+
+# 
https://wiki.gentoo.org/wiki/Project:Python/Namespace_packages#File_collisions_between_pkgutil-style_packages
+python_install() {
+       rm "${BUILD_DIR}"/lib/jaraco/__init__.py || die
+       # note: eclass may default to --skip-build in the future
+       distutils-r1_python_install --skip-build
+}

Reply via email to